package com.srs.stureg.service;

import com.srs.stureg.domain.SrsStuTodo;
import com.srs.stureg.domain.SrsTaskList;

import java.util.List;

/**
 * 新生待办Service接口
 * 
 * @author srs
 * @date 2023-08-18
 */
public interface ISrsTaskListService 
{
    /**
     * 查询新生待办
     * 
     * @param id 新生待办主键
     * @return 新生待办
     */
    public SrsTaskList selectSrsTaskListById(Long id);

    /**
     * 查询新生待办列表
     * 
     * @param srsTaskList 新生待办
     * @return 新生待办集合
     */
    public List<SrsTaskList> selectSrsTaskListList(SrsTaskList srsTaskList);

    /**
     * 新增新生待办
     * 
     * @param srsTaskList 新生待办
     * @return 结果
     */
    public int insertSrsTaskList(SrsTaskList srsTaskList);

    /**
     * 修改新生待办
     * 
     * @param srsTaskList 新生待办
     * @return 结果
     */
    public int updateSrsTaskList(SrsTaskList srsTaskList);

    /**
     * 批量删除新生待办
     * 
     * @param ids 需要删除的新生待办主键集合
     * @return 结果
     */
    public int deleteSrsTaskListByIds(Long[] ids);

    /**
     * 删除新生待办信息
     * 
     * @param id 新生待办主键
     * @return 结果
     */
    public int deleteSrsTaskListById(Long id);

}
